Docs

Lista zdarzeń statusu jednej faktury otrzymanej

  • W sandboxie
GET
/received/{id}/events

Od wersji 0.35.0. Te same zdarzenia, które dostarcza webhook, w kolejności numerów sekwencyjnych, każde z direction in.

Autoryzacja

apiKey
headerAuthorizationBearer <token>

Klucz należy wysyłać jako token typu bearer: Authorization: Bearer <your-api-key>. Wywołanie stanu usługi jest jedynym, które nie wymaga klucza.

Parametry ścieżki

id*string

Identyfikator faktury otrzymanej w usłudze (zwracany przez POST /received).

Wzorzec^rcv_[0-9a-f]{24}$

Treść odpowiedzi

Zdarzenia w kolejności numerów sekwencyjnych.

application/json
  1. response
data*array<>
curl -X GET "https://example.com/received/string/events" \  -H "Authorization: Bearer <your-api-key>"
{  "data": [    {      "event_id": "stringst",      "sequence": 1,      "occurred_at": "2019-08-24T14:15:22Z",      "invoice_ref": "string",      "invoice_number": "string",      "country_route": "PEPPOL",      "environment": "sandbox",      "direction": "out",      "legal_id": "string",      "document_sha256": "string",      "buyer_status": "acknowledged",      "errors": [        {          "code": "string",          "source": "string",          "message": "string",          "field": "string",          "fix_hint": "string"        }      ],      "route": {        "submission_id": "string",        "raw": null      },      "status": "buyer_status"    }  ]}